package org.jvending.provisioning.stocking.filter;

import org.jvending.provisioning.stocking.StockingException;
import org.jvending.provisioning.stocking.ContentVerificationException;
import org.jvending.provisioning.stocking.par.ClientBundle;

import java.util.Map;

public class MockBundleFilter extends BundleFilter {

    public void validateBundle(ClientBundle bundle, Map content) throws StockingException {
        if(bundle.getContentId().trim().equals("http://java.sun.com/products/j2ee/provisioning/demos/midlets/nim"))
            throw new ContentVerificationException("Not verified");
    }
}
